Множественные уязвимости в Kipper

Дата публикации:
27.02.2009
Дата изменения:
27.02.2009
Всего просмотров:
1491
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Kipper 2.x
Уязвимые версии: Kipper 2.01, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "charm" в сценариях index.php, default.php и kipper.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "configfile" в сценариях default.php и index.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе.

3. Уязвимость существует из-за недостаточного ограничения доступа к файлу "job/config.data". Удаленный пользователь может скачать файл и получить доступ к учетным данным администратора приложения.

URL производителя: www.bookelves.com/kipper/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/7993

или введите имя

CAPTCHA